## org.apache.jasper.compiler
Class CompileException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.ServletException
                        |
                        +--org.apache.jasper.JasperException
                              |
                              +--org.apache.jasper.compiler.CompileException

All Implemented Interfaces:
  java.io.Serializable

public class CompileException
extends JasperException

Class for parser exceptions.

Author:
  Petr Jiricka
See Also:
  Serialized Form

Constructor Summary
`CompileException(Mark m, java.lang.String reason)`
`CompileException(java.lang.String reason)`

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompileException

    public CompileException(Mark m,
                            java.lang.String reason)

### CompileException

    public CompileException(java.lang.String reason)

Copyright © 2000 Apache Software Foundation. All Rights Reserved.